#!/usr/bin/perl

@PORT_LIST = (
	"22/tcp",
	"20/tcp", 
	"21/tcp", 
	"25/tcp", 
	"222/tcp", 
	"303/tcp", 
	"333/tcp", 
	"691/tcp", 
	"768/tcp", 
	"769/tcp", 
	"900-909/tcp",
	"2002/tcp",
	"80/tcp",
	"81/tcp",
	"443/tcp",
	"444/tcp",
	"6901-8900/tcp",
	"15700-16900/tcp",
	"110/tcp",
	"143/tcp",
	"993/tcp",
	"995/tcp",
	"465/tcp",
	"587/tcp",
	"783/tcp",
	"873/tcp",
	"3128/tcp",
	"4200/tcp",
	"5100/tcp",
	"49152-65534/tcp",
	"53/tcp",
	"20/udp",
	"21/udp",
	"53/udp",
	"123/udp"
      );

foreach $port (@PORT_LIST) {
    print "/usr/bin/firewall-offline-cmd --zone=public --add-port=$port\n";
    system("/usr/bin/firewall-offline-cmd --zone=public --add-port=40000-65534/tcp");
    system("/usr/bin/firewall-offline-cmd --zone=public --add-port=$port");
}

system("/usr/bin/firewall-cmd --complete-reload");

exit(0);

# 
# Copyright (c) 2019 Michael Stauber, SOLARSPEED.NET
# Copyright (c) 2019 Team BlueOnyx, BLUEONYX.IT
# All Rights Reserved.
# 
# 1. Redistributions of source code must retain the above copyright 
#     notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright 
#     notice, this list of conditions and the following disclaimer in 
#     the documentation and/or other materials provided with the 
#     distribution.
# 
# 3. Neither the name of the copyright holder nor the names of its 
#     contributors may be used to endorse or promote products derived 
#     from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.
# 
# You acknowledge that this software is not designed or intended for 
# use in the design, construction, operation or maintenance of any 
# nuclear facility.
# 
